Subject: Re: Shouldn't go app-defaults in /etc/X11?

From: Yves Arrouye <[email-masked]>
Date: Tue, 17 Sep 1996 00:10:32 +0200

On Sep 16,  8:48pm, Christian Schwarz wrote:
} Subject: Re: Shouldn't go app-defaults in /etc/X11?
} 
} Michael Alan Dorman <[email-masked]> writes:
} > If you disagree with this, as many seem to, please propose a solution
} > whereby package maintainers can easily make sure that app-defaults
} > files are updated to reflect any changes introduced in the upstream
} > app-defaults file.
} 
} Well, couldn't the files in app-defaults be marked as config files
} ("DEBIAN/conffiles") in the packages?
} 
} I think all this is done automatically by dpkg now (at least in the
} newest revision of dpkg). I've seen this working with a few other
} packages, since I upgraded to "unstable" a few days ago.

That wouldn't resolve Michael's problem: assume I change my
app-defaults file for SomeApp, just to adjust colors to my tastes.
Then comes a new release of SomeApp, with new features controlled by X
resources that are in the app-defaults file. What will dpkg do, then?
Propose me to keep my modified file (1), or replace it (2).

If (1) changes are that I loose the ability to use the new feature
because the app-defaults file lacks some defaults (in most cases the
app will even not run).

If (2) I get the new feature but lose my colors changes.

It is extremely hard to update a changed file automatically (don't
talk about patch, please, this works only if the organization of the
file didn't change), so the best way is effectively to make resources
mofifications *outside* of the app-defaults file to keep them local
and still be able to upgrade nicely.

Yves.

-- 
Yves Arrouye                          Email: [email-masked]
7, avenue Leon Bollee                Web: http://www.fdn.fr/~yarrouye/
75013 Paris                                      Work: +33 45 95 64 59
France                                           Home: +33 53 61 09 55